# RESET for lab-4 using the mii port
# expects tcsh as shell to use
# Assumes linux eth1 is hooked to the mii port
 
# Set DT location and MII linux interface name
export DT="/fabos/libexec/dt.ppc --i eth3 --apdmawa on"

export SDK="/boot"

export DL="/fabos/bin/download_file"

# Reset Hardware
# echo write 0x80007320 0x00 0xE0 0x00 0x20 | ${DT}
# echo write 0x80007320 0x80 0x00 0x00 0x00 | ${DT}
# sleep 5

# Load eSC POST which will forward frames to the DPU
# ${DT} --pda ap --cdl ${SDK}/esc_post_1_0_8_1.cdl
# sleep 5

# Load the DPU 4300 firmware
# ${DT} --cdl ${SDK}/DPU_43x0_nosdram_1_0_15_1.cdl

# sleep 5

echo esc_post_1_0_8_1.cdl
${DL} -f /boot/esc_post_1_0_8_1.cdl --interface eth3 --processor 1 --destination-ppci 1 --buffer-size 128 --force-reset

echo DPU_43x0_nosdram_1_0_15_1.cdl
${DL} --file /boot/DPU_43x0_nosdram_1_0_15_1.cdl --interface eth3 --buffer-size 128

