# this is the script to tftp the dump file to the CP
#!/bin/sh"
exec > /dev/null 2>&1

SERVER=$1
TYPE=$2
RDIR=$3
RFILE=$4
ROOTDIR=/
CD=cd

TAR="tar -cvf"
CAT=cat
RM=rm
ECHO=echo
GZIP=gzip
LDIR=/tftpboot
TARFILE=local.tar
GZIPFILE=local.tar.gz

$CD $ROOTDIR

# remove core files
if [ "${TYPE}" = "remove" ]
then
	$ECHO "remove files under /core_files/ and /mnt/core_files/ on BP"
	$CD /
	$RM -rf /core_files/*/*
	$RM -rf /mnt/core_files/*/*
	exit
fi

if [ "${TYPE}" = "dump" ]
then
#	$ECHO "prepare dump file"
	$CD /
	ls var/*.npc && $TAR $LDIR/$TARFILE var/tracedump.dmp var/*.npc || $TAR $LDIR/$TARFILE var/tracedump.dmp 
	$GZIP $LDIR/$TARFILE
fi

if [ "${TYPE}" = "support" ]
then
#	$ECHO "prepare support file"
	$CD /
	$CAT /proc/consolelog > /var/consolelog
	/fabos/bin/ck4350 > /var/ck4350log
	/fabos/sbin/errdumpall > /var/errdumpall.txt
	/fabos/bin/supportencode -i /var/errdumpall.txt -o /var/errdumpall.ss
	ls var/*.npc && $TAR $LDIR/$TARFILE var/tracedump.dmp core_files var/*.npc var/consolelog var/ck4350log var/errdumpall.ss || \
	$TAR $LDIR/$TARFILE var/tracedump.dmp core_files var/consolelog var/ck4350log var/errdumpall.ss
	$GZIP $LDIR/$TARFILE
	$RM -rf /var/consolelog
	$RM -rf /var/ck4350log
	$RM -rf /var/errdumpall.txt
	$RM -rf /var/errdumpall.ss
fi

ln -s $LDIR/$GZIPFILE $RDIR/$RFILE 
#cd to that dir first
$CD $RDIR
tftp $SERVER<<-DONE
	put $RDIR/$RFILE
DONE

rm $LDIR/$GZIPFILE
rm $RDIR/$RFILE
