#!/bin/sh

getSWBD()
{
	_abc=`/sbin/sin | \
	 /bin/grep Platform | \
	 /usr/bin/cut -d" " -f2 | \
	 /usr/bin/cut -d"," -f1`
	 /bin/echo $_abc
 }

product=`getSWBD`

if [ $product = "SWBD32" -o  $product = "SWBD44" -o $product = "SWBD46" -o $product = "SWBD42" ]
then
	echo "configure ethernet IF"
	/nfabos/bin/nfdiag ifconfig
fi

case "$1" in
'start')

	#
	# Only turn on LEDs for Viking for now.  Invoking nfdiag on
    # Marathon/Marathon Jr. triggers PCI scanning on BP and will
	# interfer tests running on the CP.
	#
	case "$product" in
		"SWBD42" | "SWBD44" | "SWBD46" )
	    /nfabos/bin/nfdiag skipdownload ledtest -v 0 -o burninstatus > /dev/null 2>&1
	;;
	"SWBD36")
        /sbin/bootenv | grep BladeStandalone=yes > /dev/null 2>&1
	    if [ $? == 0 ]
	    then
			/nfabos/bin/nfdiag ledtest -v 0 -o burninstatus > /dev/null 2>&1
		fi
	;;
	*)
	;;
	esac

	if [ -f /var/log/diagtest.current ]
	then
		echo "Running diag burnin script"
		/nfabos/bin/nfdiag skipdownload diagrunburnin &
	else
		echo " "
	fi

;;
'stop')

;;	
*)
    echo "usage: $0 {start | stop}"
;;
esac
